<div
  fxLayout="row wrap"
  fxLayoutAlign="center center"
  *ngIf="loading; else loadedView"
  class="loader"
>
  <div fxFlex="shrink">
    <mat-spinner></mat-spinner>
  </div>
</div>
<ng-template #loadedView>
  <div class="view-wrap">
    <div class="content-wrap">
      <button
        *ngIf="!disableBack"
        [uiSref]="back"
        [uiParams]="backParams"
        mat-raised-button
        color="accents"
        style="margin-bottom: 32px;"
      >
        <mat-icon>arrow_back</mat-icon>
      </button>

      <mat-card>
        <mat-card-content>
          <div
            *ngIf="enableNew"
            fxLayout="row wrap"
            fxLayoutAlign="end"
            class="head"
          >
            <div fxFlex="nogrow">
              <button
                mat-raised-button
                color="primary"
                [uiSref]="newButtonPath"
                [uiParams]="newButtonParams"
              >
                {{ newButtonText }}
              </button>
            </div>
          </div>
          <div fxLayout.gt-xs="row" fxLayout="column">
            <div
              fxFlex.gt-xs="grow"
              fxFlex
              class="content"
              [class.hasNew]="enableNew"
            >
              <div fxLayout="row wrap" fxLayoutAlign="center center" class="mb">
                <div fxFlex="80%">
                  <mat-card-title>{{ heading }}</mat-card-title>
                  <mat-card-subtitle>{{ subTitle }}</mat-card-subtitle>
                </div>
                <div fxFlex style="text-align: right;">
                  <ng-content select="[headActions]"></ng-content>
                </div>
              </div>
              <ng-content select="[content]"></ng-content>
            </div>
            <div
              fxFlex.gt-xs="nogrow"
              fxFlex
              class="sidebar"
              [class.hasNew]="enableNew"
              *ngIf="!disableSidebar"
            >
              <ng-content select="[sidebar]"></ng-content>
            </div>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</ng-template>
